MariaDB Connector
 
Notifications
Clear all

MariaDB Connector

5 Posts
2 Users
0 Likes
1,096 Views
Ric
Posts: 60
 Ric
Topic starter
(@ric)
Trusted Member
Joined: 7 years ago

Hi Guys,
I am looking to install MariaDB 10.2.16, what connector do i require?  Is it the same as the MySQL one (6.9.12):
https://dev.mysql.com/downloads/connector/net/6.9.html
Thanks,
R

4 Replies
Marco Tiggelaar
Posts: 1958
Admin
(@m-tiggelaar)
Noble Member
Joined: 7 years ago

Hello,
I think MariaDB doesn't really have their own asp.net connector, so using the mysql one will do the trick yes.
Regards,
Marco

Reply
Ric
Posts: 60
 Ric
Topic starter
(@ric)
Trusted Member
Joined: 7 years ago

Thanks Marco - I will give it a go and report back if there are any problems.
Out of curiosity is there a recommendation between using MySQL vs MariaDB - From what I understand, hopefully not incorrectly, MariaDB is just a fork of MySQL which is open source - Some sites suggest it has better performance but basically anything that requires MySQL to run will also run on MariaDB ?
Thanks,
Ric

Reply
Marco Tiggelaar
Posts: 1958
Admin
(@m-tiggelaar)
Noble Member
Joined: 7 years ago

Well, everything is a bit of a stretch.
It will support most, especially talking about things such as websites etc.
but real complex systems might run into some compatability issues if they don't specifically support mariadb.
(i personally haven't had any issues with it but did hear some stories here and there).

Reply
Ric
Posts: 60
 Ric
Topic starter
(@ric)
Trusted Member
Joined: 7 years ago

OK thanks for the quick reply.  What is the current supported MySQL version with SCP 1.4.1 (and connector but i assume the one i have listed above will be fine)?

Reply
Share: